QCanvasPolygon(3qt)

NAME
QCanvasPolygon - A polygon with a movable reference point <h1 align=center>QCanvasPolygon Class Reference
<small>[ canvas module ]</small></h1>

#include <qcanvas.h>

Inherits QCanvasPolygonalItem.

  Public Members
QCanvasPolygon ( QCanvas * canvas )
~QCanvasPolygon ()
void setPoints ( QPointArray )
QPointArray points () const
virtual QPointArray areaPoints () const
virtual int rtti () const

  Protected Members
virtual void drawShape ( QPainter & )

DESCRIPTION
A polygon with a movable reference point.

Paints a polygon in a QBrush.

MEMBER FUNCTION DOCUMENTATION

QCanvasPolygon::QCanvasPolygon ( QCanvas * canvas )
Constructs a pointless polygon on canvas. You should call setPoints() before using it further.

QCanvasPolygon::~QCanvasPolygon ()
Destructs the polygon.

QPointArray QCanvasPolygon::areaPoints () const [virtual]
Returns the vertices of the polygon translated by the x(), y() position.

See also setPoints() and points().

Reimplemented from QCanvasPolygonalItem.

void QCanvasPolygon::drawShape ( QPainter & p ) [virtual protected]
Note that QCanvasPolygon does not support an outline (pen is always NoPen).

Reimplemented from QCanvasPolygonalItem.

void QCanvasPolygon::moveBy ( double dx, double dy ) [virtual]
Reimplemented for internal reasons; the API is not affected.

Reimplemented from QCanvasItem.

QPointArray QCanvasPolygon::points () const
Returns the vertices of the polygon, not translated by the position.

See also setPoints() and areaPoints().

int QCanvasPolygon::rtti () const [virtual]
Returns 4.

See also QCanvasItem::rtti().

Reimplemented from QCanvasItem.

void QCanvasPolygon::setPoints ( QPointArray pa )
Sets the points of the polygon to be pa, which will be translated by x(), y() as the polygon is moved.

SEE ALSO
http://doc.trolltech.com/qcanvaspolygon.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.